diff --git a/charts/monitor/templates/_helpers.tmpl b/charts/monitor/templates/_helpers.tmpl
index 1c6c233..ec93696 100644
--- a/charts/monitor/templates/_helpers.tmpl
+++ b/charts/monitor/templates/_helpers.tmpl
@@ -9,7 +9,7 @@ env:
       key: url
 {{- else }}
 - name: "INFLUXDB_URL"
-  value: http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)
+  value: http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)
 {{- end }}
 - name: "INFLUXDB_BUCKET"
   valueFrom:
diff --git a/charts/monitor/templates/monitor-telegraf-daemon.yaml b/charts/monitor/templates/monitor-telegraf-daemon.yaml
index 1aa973f..dc16f3c 100644
--- a/charts/monitor/templates/monitor-telegraf-daemon.yaml
+++ b/charts/monitor/templates/monitor-telegraf-daemon.yaml
@@ -42,9 +42,9 @@ spec:
               key: url
 {{- else }}
         - name: "INFLUXDB_URLS_V2"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)\""
         - name: "INFLUXDB_V2_INPUT_URLS"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)/metrics\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)/metrics\""
         - name: "ENABLE_INFLUXDB_V2_INPUT"
           value: "true"
 {{- end }}
@@ -75,9 +75,9 @@ spec:
               key: url
 {{- else }}
         - name: "INFLUXDB_URLS_V2"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)\""
         - name: "INFLUXDB_V2_INPUT_URLS"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)/metrics\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)/metrics\""
         - name: "ENABLE_INFLUXDB_V2_INPUT"
           value: "true"
 {{- end }}
diff --git a/charts/monitor/templates/monitor-telegraf-deployment.yaml b/charts/monitor/templates/monitor-telegraf-deployment.yaml
index 6baa356..88da852 100644
--- a/charts/monitor/templates/monitor-telegraf-deployment.yaml
+++ b/charts/monitor/templates/monitor-telegraf-deployment.yaml
@@ -47,9 +47,9 @@ spec:
               key: url
 {{- else }}
         - name: "INFLUXDB_URLS_V2"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)\""
         - name: "INFLUXDB_V2_INPUT_URLS"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)/metrics\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)/metrics\""
         - name: "ENABLE_INFLUXDB_V2_INPUT"
           value: "true"
 {{- end }}
@@ -80,9 +80,9 @@ spec:
               key: url
         {{- else }}
         - name: "INFLUXDB_URLS_V2"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)\""
         - name: "INFLUXDB_V2_INPUT_URLS"
-          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT)/metrics\""
+          value: "\"http://$(DRYCC_INFLUXDB_SERVICE_HOST):$(DRYCC_INFLUXDB_SERVICE_PORT)/metrics\""
         - name: "ENABLE_INFLUXDB_V2_INPUT"
           value: "true"
         {{- end }}
diff --git a/grafana/rootfs/usr/share/grafana/start-grafana b/grafana/rootfs/usr/share/grafana/start-grafana
index e3c0948..4987128 100755
--- a/grafana/rootfs/usr/share/grafana/start-grafana
+++ b/grafana/rootfs/usr/share/grafana/start-grafana
@@ -9,7 +9,7 @@ GRAFANA_PASSWD=${DEFAULT_USER_PASSWORD:-admin}
 GRAFANA_PORT=${BIND_PORT:-3000}
 
 INFLUXDB_HOST=${DRYCC_INFLUXDB_SERVICE_HOST:-"drycc-influxdb.drycc.svc.${KUBERNETES_CLUSTER_DOMAIN}"}
-INFLUXDB_PORT=${DRYCC_INFLUXDB_SERVICE_PORT_TRANSPORT:-8086}
+INFLUXDB_PORT=${DRYCC_INFLUXDB_SERVICE_PORT:-80}
 INFLUXDB_BUCKET=${INFLUXDB_BUCKET:-kubernetes}
 INFLUXDB_ORG=${INFLUXDB_ORG:-drycc}
 INFLUXDB_VERSION=${INFLUXDB_VERSION:-Flux}